Get tax estimates
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "Tax_Estimates",
"country": "US",
"state": "CA",
"year": 2025,
"us_estimates": {
"inputs": {
"w2_income": 123,
"business_income": 123,
"other_income": 123,
"expenses": 123,
"deductible_expenses": 123,
"deductible_mileage_expenses": 123,
"deductible_non_mileage_expenses": 123
},
"results": {
"overall_tax": 123,
"overall_tax_savings": 123,
"overall_tax_unpaid": 123,
"annual_payment_due_date": "2023-11-07T05:31:56Z",
"after_tax_income": 123
},
"federal_tax": {
"w2_marginal_tax_rate": 123,
"business_marginal_tax_rate": 123,
"adjusted_gross_income": 123,
"business_income_deduction": 123,
"business_income_deduction_effective_rate": 123,
"federal_deduction": 123,
"qualified_tip_deduction": 123,
"qualified_overtime_deduction": 123,
"taxable_income": 123,
"federal_effective_tax_rate": 123,
"federal_tax_amount": 123,
"medicare_surtax": {
"amount": 123,
"rate": 123
},
"self_employment_tax": {
"amount": 123,
"rate": 123,
"social_security_tax": 123,
"medicare_tax": 123
},
"employment_tax": {
"social_security_taxable_income": 123,
"social_security_effective_tax_rate": 123,
"social_security_tax": 123,
"medicare_taxable_income": 123,
"medicare_effective_tax_rate": 123,
"medicare_tax": 123,
"tax_amount": 123
},
"alternative_minimum_tax": 123,
"tax_amount_without_tax_credit": 123,
"dependent_tax_credit": 123,
"total_tax_credit": 123,
"total_tax_credit_applied_to_tax": 123,
"tax_before_withholding": 123,
"effective_tax_rate_before_withholding": 123,
"withholding_applied_to_tax": 123,
"tax_amount": 123,
"tax_unpaid": 123,
"effective_tax_rate": 123
},
"state_tax": {
"w2_marginal_tax_rate": 123,
"business_marginal_tax_rate": 123,
"adjusted_gross_income": 123,
"state_deduction": 123,
"taxable_income": 123,
"pre_credit_effective_tax_rate": 123,
"tax_amount_without_tax_credit": 123,
"total_tax_credit": 123,
"total_tax_credit_applied_to_tax": 123,
"tax_before_withholding": 123,
"effective_tax_rate_before_withholding": 123,
"withholding_applied_to_tax": 123,
"tax_amount": 123,
"tax_unpaid": 123,
"effective_tax_rate": 123
},
"quarterly_estimates": {
"q1": {
"due_date": "2023-12-25",
"federal_tax": {
"amount": 123,
"paid": 123,
"remaining": 123
},
"state_tax": {
"amount": 123,
"paid": 123,
"remaining": 123
}
},
"q2": {
"due_date": "2023-12-25",
"federal_tax": {
"amount": 123,
"paid": 123,
"remaining": 123
},
"state_tax": {
"amount": 123,
"paid": 123,
"remaining": 123
}
},
"q3": {
"due_date": "2023-12-25",
"federal_tax": {
"amount": 123,
"paid": 123,
"remaining": 123
},
"state_tax": {
"amount": 123,
"paid": 123,
"remaining": 123
}
},
"q4": {
"due_date": "2023-12-25",
"federal_tax": {
"amount": 123,
"paid": 123,
"remaining": 123
},
"state_tax": {
"amount": 123,
"paid": 123,
"remaining": 123
}
}
}
},
"ca_estimates": {}
}""Tax Estimates
Get tax estimates
Returns tax estimate summary including federal, state, and self-employment taxes.
GET
/
v1
/
businesses
/
{businessId}
/
tax-estimates
Get tax estimates
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json
Path Parameters
The UUID of the business
Query Parameters
The tax year (e.g., 2025)
Response
Tax estimates for the specified year
Tax estimate summary for a business.
Resource type.
Example:
"Tax_Estimates"
The ISO 3166-1 alpha-2 country code
Pattern:
^[A-Z]{2}$Example:
"US"
The two-character state (or Province) abbreviation for which tax needs to be calculated on
Pattern:
^[A-Z]{2}$Example:
"CA"
Tax year for which tax needs to be calculated on
Example:
2025
US-specific tax estimates with inputs and results
Show child attributes
Show child attributes
Canadian-specific tax estimates (future use)
āI